Subject: [PATCH 0/2] Add python-ghp-import.

From: Oleg Pykhalov <[email-masked]>
Date: Sun, 20 Aug 2017 00:16:16 +0300

Hello Leo,

Leo Famulari <[email-masked]> writes:

> For everyone's reference, this is the text of the license:
>
> ------
>                            Tumbolia Public License
>
> Copyright 2013, Paul Davis <[email-masked]>
>
> Copying and distribution of this file, with or without modification, are
> permitted in any medium without royalty provided the copyright notice and this
> notice are preserved.
>
> TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
>
>   0. opan saurce LOL
> ------
>
> It was discussed on the Fedora Legal mailing list:
>
> https://www.spinics.net/linux/fedora/fedora-legal/msg02842.html
>
> I don't know the final outcome there (i.e. does Fedora offer
> Tumbolia-license software now?) but it seems positive.
>
> Also, Debian distributes the software:
>
> https://packages.debian.org/sid/ghp-import
>
>> Is it OK in Guix?  If yes, what is good way to provide this licence?
>
> I think it's fine. The author's intent to make the software available
> under a permissive-style license seems clear to me.
>
> Please change the license field of the package definition from 'gpl3+'
> to 'non-copyleft'. That license can be annotated; there are lots of
> examples in the maths module:
>
> https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/maths.scm
>
> And the source of 'non-copyleft':
>
> https://git.savannah.gnu.org/cgit/guix.git/tree/guix/licenses.scm?id=41209a6f3a9945b55bcc06b989628e09e9f98b6a#n157

I probably miss understood you.  Did you want to define a new license in
guix/licenses.scm and then set license variable to this in
python-ghp-import?

Oleg Pykhalov (2):
  licenses: Add tumbolia license.
  gnu: Add python-ghp-import.

 gnu/packages/version-control.scm | 34 ++++++++++++++++++++++++++++++++++
 guix/licenses.scm                |  7 +++++++
 2 files changed, 41 insertions(+)

-- 
2.14.1